#
# Conditional build:
%bcond_without	unicode	# ANSI instead of Unicode version of wxGTK
%bcond_without	gtk3	# wxGTK3 instead of wxGTK2
%bcond_with	tests	# "make test" (requires $DISPLAY)
#
%define		wxpkg	wxGTK%{?with_gtk3:3}%{!?with_gtk3:2}%{?with_unicode:-unicode}
%define		pdir	Wx
%define		pnam	GLCanvas
Summary:	Wx::GLCanvas - interface to wxWidgets' OpenGL canvas
Summary(pl.UTF-8):	Wx::GLCanvas - interfejs do "płótna" OpenGL biblioteki wxWidgets
Name:		perl-Wx-GLCanvas
Version:	0.09
Release:	14
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Wx/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4f6475010bd6e4231e2dbb3fb52bc642
URL:		http://search.cpan.org/dist/Wx-GLCanvas/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-Module-Pluggable
BuildRequires:	perl(Wx::build::MakeMaker) >= 0.16
BuildRequires:	perl-Wx-devel >= 0.57
BuildRequires:	%{wxpkg}-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wx::GLCanvas is an interface to wxWidgets' OpenGL canvas.

%description -l pl.UTF-8
Wx::GLCanvas to interfejs do "płótna" OpenGL biblioteki wxWidgets.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cxx}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.txt
%{perl_vendorarch}/Wx/GLCanvas.pm
%dir %{perl_vendorarch}/Wx/DemoModules
%{perl_vendorarch}/Wx/DemoModules/wxGLCanvas.pm
%dir %{perl_vendorarch}/auto/Wx/GLCanvas
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/GLCanvas/GLCanvas.so
%{_mandir}/man3/Wx::GLCanvas.3pm*
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Wx-GLCanvas.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> 2f939e5
- perl 5.40.0 rebuild

* Sat Sep 30 2023 Jan Rękorajski <baggins@pld-linux.org> 18b5d0c
- rebuild with wxWidgets 3.2 and gtk3, rel 13

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 5de3528
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> ad7af6a
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 0532afa
- rebuild with perl 5.34.0

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 742492d
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> b92f120
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> 2bc35f4
- rebuild with perl 5.30.0
- release 8 (by relup.sh)

* Fri Aug 31 2018 Jan Rękorajski <baggins@pld-linux.org> 50c925d
- rebuild with perl 5.28.0
- release 7 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 6a4f04a
- perl req/prov fix
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> ad94bfc
- rebuild with perl 5.26
- release 5 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> bef8c58
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 31 2015 Jan Rękorajski <baggins@pld-linux.org> 0cbd250
- updated BRs
- rel 3

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 948894d
- release 2 (by relup.sh)

* Tue Jun 16 2015 Jakub Bogusz <qboosh@pld-linux.org> 6621a77
- tests disabled by default, added more wx BRs

* Wed Jun 10 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> eecd02a
- initial

